<app-loading *ngIf="isLoadingPage"></app-loading>

<div class="content-header">
    <mb-button [mbIsDisable]="isLoadingPage" mbButtonSize="MEDIUM" *ngIf="objFunction?.create"
        mbButtonText="{{'modelOrganization.listPosition.save' | translate}}" mbButtonTextColor="#fff" [customStyle]="true"
        mbButtonBgColor="#141ED2" [mbIsDisable]="isLoadingPage" (click)="savePosition()">
    </mb-button>
</div>

<div>
    <div class="search-container">
        <div nz-row class="search-container__row">
            <div nz-col nzSpan="6" class="search-container__row--col position-relative">
                <mb-input-text mbPlaceholderText="{{'modelOrganization.planYear.placeHoder.chooseUnit' | translate }}"
                    mbType="default" mbLabelText="{{'modelOrganization.planYear.unit' | translate}}"
                    (click)="showPopup()" [(ngModel)]="orgName" [mbReadOnly]="true">
                </mb-input-text>
                <em *ngIf="orgName" nz-icon class="icon-style" (click)="clearOrgInput()" nzType="close-circle"
                    nzTheme="outline"></em>
            </div>
            <div nz-col nzSpan="6" class="search-container__row--col">
                <mb-select [mbDataSelects]="listJob" mbKeyLabel="jobName" mbKeyValue="jobId" mbLabelText="Job"
                    mbPlaceholder="{{'modelOrganization.planYear.placeHoder.chooseJob' | translate}}"
                    [mbOptionHeightPx]="55" [(ngModel)]="searchParam.jobId">
                </mb-select>
            </div>
            <div nz-col nzSpan="6" class="search-container__row--col">
                <mb-select [mbDataSelects]="listTypePosition" mbKeyLabel="value" mbKeyValue="id"
                    mbLabelText="{{'modelOrganization.listPosition.typePosition' | translate}}" [mbShowClear]="false"
                    [mbOptionHeightPx]="55" [(ngModel)]="searchParam.type">
                </mb-select>
            </div>
            <div nz-col nzSpan="6" class="search-container__row--col padding-right">
                <mb-select [mbDataSelects]="listStatus" mbKeyLabel="value" mbKeyValue="id"
                    mbLabelText="{{'modelOrganization.listPosition.status' | translate}}"
                    mbPlaceholder="{{'modelOrganization.listPosition.placeHoder.chooseStatus' | translate}}"
                    [mbOptionHeightPx]="55" [(ngModel)]="searchParam.status">
                </mb-select>
            </div>
        </div>
        <div class="search-container__row--col-button">
            <mb-button mbButtonType="NO_BORDER" mbButtonSize="MEDIUM"
                mbButtonText="{{'common.button.search' | translate}}" mbButtonBgColor="#E8EAF6" [customStyle]="true"
                mbButtonTextColor="#141ED2" (click)="onSearch()"></mb-button>
            <mb-button mbButtonType="BORDER" mbButtonSize="VERY_LARGE" (click)="exportExcel()" *ngIf="objFunction?.export">
                <img src="../../../../../assets/images/icon/excel.svg" alt="" />
            </mb-button>
        </div>
    </div>

    <div class="table-container ant-table-content">
        <nz-table #basicTable [nzData]="dataTable" [nzFrontPagination]="false" [nzShowPagination]="false"
            [nzWidthConfig]="listWidth" [nzScroll]="dataTable?.length > 0 ? {y:'420px' }: {}" nzSize='middle'
            nzTableLayout="fixed">
            <thead>
                <tr>
                    <th scope="col" rowspan="2" class="border-right" [nzAlign]="'center'" nzLeft>
                        {{'modelOrganization.table.stt' | translate }}</th>
                    <th scope="col" colspan="3" class="border-bottom">Position</th>
                    <th scope="col" rowspan="2" class="border-left" [nzAlign]="'center'" nzRight>
                        {{'modelOrganization.listPosition.manageUnit' | translate}}</th>
                    <th scope="col" rowspan="2" [nzAlign]="'center'">{{'modelOrganization.listPosition.status' |
                        translate}}</th>
                    <th scope="col" rowspan="2" nzRight></th>
                </tr>
                <tr>
                    <th scope="col" nzLeft>{{'modelOrganization.planYear.unitName' | translate}}
                    </th>
                    <th scope="col" class="border-left">{{'Job' | translate}}</th>
                    <th scope="col" class="border-left">{{'modelOrganization.listPosition.specialFunction' | translate}}
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let data of basicTable.data; let i = index">
                    <td [nzAlign]="'center'" nzLeft>
                        {{(pagination.currentPage * pagination.size) + (i+1)}}
                    </td>
                    <td class="table-container__col-text-ellipsis" nz-tooltip [nzTooltipTitle]="data.lastName" nzLeft>
                        {{data.lastName}}
                    </td>
                    <td nz-tooltip [nzTooltipTitle]="data.jobName">
                        {{data.jobName}}
                    </td>
                    <td nz-tooltip [nzTooltipTitle]="data.orgaValue">
                        {{data.orgaValue}}
                    </td>
                    <td [nzChecked]="data.isHead === 'Y'" (nzCheckedChange)="onItemChecked(data, $event)"
                        [nzDisabled]="searchParam.type === 'POSITION DETAIL' || data.flagStatus !== 1"
                        nzRight>
                    </td>

                    <td nzRight>
                        <div class="center-status">
                            <nz-tag [class]="renderFlagStatus(data.flagStatus).class">
                                {{renderFlagStatus(data.flagStatus).text}}
                            </nz-tag>
                        </div>
                    </td>
                    <td nzRight>
                        <div class="action">
                            <mb-button mbButtonAvailableStyle='CONTENT' (click)="deletePosition(data)" *ngIf="objFunction?.delete"
                                [mbIsDisable]="data.flagStatus !== 3 || data.inputType  !== 'KT' || searchParam.type === 'POSITION DETAIL'">
                                <img src="../../../../../assets/images/icon/delete-icon.svg" alt='delete'>
                            </mb-button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </nz-table>
        <div class="pagination" *ngIf="dataTable.length">
            <div class="pagination__table-info">
                <img class="pagination__table-info--icon" src="assets/images/icon/idea.svg" alt="">
                <span class="pagination__table-info--text"> {{'common.paging.rangePage' |
                    translate:{result:pagination.totalElements} }}
                    {{ pagination.size * pagination.currentPage + 1 }} {{'common.paging.to' | translate}}
                    {{ pagination.size * pagination.currentPage + pagination.numberOfElements}}
                </span>
            </div>
            <nz-pagination [nzPageIndex]="pagination.currentPage + 1" [nzTotal]="pagination.totalElements"
                [nzPageSize]="pagination.size" (nzPageIndexChange)="changePage($event)" class="pagination__icon">
            </nz-pagination>
        </div>
    </div>
</div>
